[SciPy-user] need lapack/atlas/fftw

Matthieu Brucher matthieu.brucher@gmail....
Thu Aug 14 06:08:16 CDT 2008


2008/8/14 Rohit Garg <rpg.314@gmail.com>:
> Sorry for being a pest. But I found this on scipy wiki.
>
> ====================
> linalg
>    linear algebra and BLAS routines based on the ATLAS implementation of LAPACK
> ====================
>
> at
>
> ++++++++++++++++++++
> http://www.scipy.org/FAQ#head-1c900dc4dcbe093cfed62c1d2f6302dfe5e06585
> ++++++++++++++++++++
>
> Does it mean that my installation of scipy uses (full) lapack+atlas
> automatically? Or it installs a lite version and for the real thing,
> the only option is to compile these packages by hand?
>
> Please help

linalg uses LAPACK, so if you install numpy, you will use one of the
LAPACK libraries of your system, surely atlas.

And for the BLAS interface, only the dot function can use it (for
now). For more on that matter, you can see the different discussions
on numpy-discussion ;)

Matthieu
-- 
French PhD student
Website : http://matthieu-brucher.developpez.com/
Blogs : http://matt.eifelle.com and http://blog.developpez.com/?blog=92
LinkedIn : http://www.linkedin.com/in/matthieubrucher


More information about the SciPy-user mailing list